import React, {Profiler} from "react";
import Leaflet from "./../Leaflet";
import {measureTime} from './../helpers/measureTime';
                                  
export default class Leaflets extends React.Component{
  constructor(props) {
    super(props)
    this.metricsRef = React.createRef()
  }

  render(){
    return (
      <div>
        <div ref={this.metricsRef} className="mapTime" >
        </div>
        <Profiler id="leaflet" onRender={measureTime(this)}>
          { Array.from({length:30}, (_, index) => 
              <Leaflet key={index}/>
          )}
        </Profiler>
      </div>
    );
  }
} 