import React, {Profiler} from "react";
import MapGL from "./../MapGL";
import {measureTime} from './../helpers/measureTime';


export default class MapGLs extends React.Component{
  constructor(props) {
    super(props)
    this.metricsRef = React.createRef()
  }

  render(){
    return (
      <div>
        <div ref={this.metricsRef} className="mapTime" >
        </div>
        <Profiler id="mapgl" onRender={measureTime(this)}>
          { Array.from({length:30}, (_, index) => 
              <MapGL key={index} />
          )}
        </Profiler>
      </div>
    );
  }
} 